# Record TCefSimulatedTouchPoint

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefSimulatedTouchPoint = record`

## Description

Structure representing a simulated touch point.

<see href="https://chromedevtools.github.io/devtools-protocol/tot/Input/#type-TouchPoint">See the Input.TouchPoint type in the DevTools docs.)

## Overview

### Fields

| `id: integer;`
| `x: integer;`
| `y: integer;`
| `radiusX: single;`
| `radiusY: single;`
| `rotationAngle: single;`
| `force: single;`
| `tangentialPressure: single;`
| `tiltX: integer;`
| `tiltY: integer;`
| `twist: integer;`

## Description

### Fields

| `id: integer;`
Identifier used to track touch sources between events, must be unique within an event. This is an optional value.

| `x: integer;`
X coordinate of the event relative to the main frame's viewport in CSS pixels.

| `y: integer;`
Y coordinate of the event relative to the main frame's viewport in CSS pixels. 0 refers to the top of the viewport and Y increases as it proceeds towards the bottom of the viewport.

| `radiusX: single;`
X radius of the touch area (default: 1.0). This is an optional value.

| `radiusY: single;`
Y radius of the touch area (default: 1.0). This is an optional value.

| `rotationAngle: single;`
Rotation angle (default: 0.0). This is an optional value.

| `force: single;`
Force (default: 1.0). This is an optional value.

| `tangentialPressure: single;`
The normalized tangential pressure, which has a range of [-1,1] (default: 0). This is an optional value.

| `tiltX: integer;`
The plane angle between the Y-Z plane and the plane containing both the stylus axis and the Y axis, in degrees of the range [-90,90], a positive tiltX is to the right (default: 0) This is an optional value.

| `tiltY: integer;`
The plane angle between the X-Z plane and the plane containing both the stylus axis and the X axis, in degrees of the range [-90,90], a positive tiltY is towards the user (default: 0). This is an optional value.

| `twist: integer;`
The clockwise rotation of a pen stylus around its own major axis, in degrees in the range [0,359] (default: 0). This is an optional value.

Generated by PasDoc 0.16.0-snapshot.